Bug 764286 - (GLUSTER-2554) Invalid memory access in glusterd.
Invalid memory access in glusterd.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gaurav
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-18 03:52 EDT by Gaurav
Modified: 2011-04-06 04:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaurav 2011-03-18 03:52:50 EDT
In glusterd_op_stage_set_volume, in case of key_fixed we are doing invalid access to key after memory free.
Comment 1 Vijay Bellur 2011-03-18 20:36:46 EDT
PATCH: http://patches.gluster.com/patch/6513 in master (CLI : Fix memory free for key_fixed.)
Comment 2 Vijay Bellur 2011-03-22 06:04:37 EDT
PATCH: http://patches.gluster.com/patch/6522 in release-3.1 (CLI : Fix memory free for key_fixed.)
Comment 3 M S Vishwanath Bhat 2011-04-06 01:40:47 EDT
Now glusterd is not crashing if entered wrong key. Now i get following output for the wrong key in volume set
root@tortuga:/disk1# gluster volume set hosdu dumbfdstats on
option : dumbfdstats does not exist
Did you mean dump-fd-stats?
root@tortuga:/disk1#

Note You need to log in before you can comment on or make changes to this bug.